package com.bwie.auth.controller;

import com.bwie.auth.service.AuthRegService;
import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.domain.request.RegRequest;
import com.bwie.common.result.Result;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController

public class AuthController {

    private final AuthService authService;
    private final AuthRegService authRegService;

    public AuthController(AuthService authService, AuthRegService authRegService) {
        this.authService = authService;
        this.authRegService = authRegService;
    }

    @PostMapping("/login")
    Result login(@RequestBody @Validated LoginRequest loginRequest){
       return Result.success(authService.login(loginRequest));
    }
    @PostMapping("/sendcode")
    Result sendcode(@RequestParam String userTel){
        authRegService.sendcode(userTel);
        return Result.success();
    }
    @PostMapping("/reg")
    Result reg(@RequestBody @Validated RegRequest request){
        authRegService.reg(request);
        return Result.success();
    }

    @GetMapping("getInfo")
    User getInfo(){
        return authRegService.getInfo();
    }


}
