package com.bwie.common.config;


import org.redisson.Redisson;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;

/**
 * @BelongsProject: demo02
 * @BelongsPackage: com.bw.config
 * @Author: zhupengfei
 * @CreateTime: 2022-12-24  09:26
 */

@Configuration
public class RedissonConfig {

    @Bean(destroyMethod = "shutdown") // 服务停止后调用 shutdown 方法。
    public RedissonClient redisson() throws IOException {
        System.out.println("配置类初始加载......");
        // 1.创建配置
        Config config = new Config();
        // 集群模式
        // config.useClusterServers().addNodeAddress("redis://127.0.0.1:6379", "redis://127.0.0.1:6378").setPassword("yourPassword");
        // 单节点模式
        config.useSingleServer()
                .setAddress("redis://124.221.177.197:6379")
                .setPassword("admin111."); // 添加这行来设置密码
        // 2.根据 Config 创建出 RedissonClient 实例。
        return Redisson.create(config);
    }
}
