package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bwie.common.domain.request.RegRequest;
import com.bwie.common.utils.IdUtils;
import com.bwie.common.utils.SecurityUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "user")
public class User {
    @TableId(type = IdType.AUTO)
    private Long userId;
    @TableField(value = "user_name")
    private String userName;
    @TableField(value = "user_pwd")
    private String userPwd;

    private String salt;
    @TableField(value = "user_tel")
    private String userTel;
    @TableField(value = "user_birth")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date userBirth;
    @TableField(value = "user_addr")
    private String userAddr;
    @TableField(value = "user_sex")
    private String userSex;
    @TableField(value = "user_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date userTime;
    @TableField(value = "user_yu")
    private Double userYu;
    @TableField(value = "user_status")
    private Integer userStatus;

    public static User addBuild(RegRequest request){
        String salt = IdUtils.genId();
        String s = SecurityUtils.encryptPassword(request.getUserPwd(), salt);
        return User.builder()
                .userYu(0.0)
                .userPwd(s)
                .userName(request.getUserName())
                .salt(salt)
                .userTel(request.getUserTel())
                .userAddr(request.getUserAddr())
                .userBirth(request.getUserBirth())
                .userSex(request.getUserSex())
                .userStatus(3)
                .userTime(null)
                .build();
    }
}
