package com.bwie.common.remote.log.factory;

import com.bwie.common.domain.Log;
import com.bwie.common.domain.Red;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.RegRequest;
import com.bwie.common.domain.request.SendredRequest;
import com.bwie.common.remote.log.RemoteLogService;
import com.bwie.common.remote.system.RemoteUserService;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

@Log4j2
@Component
public class RemoteLogFactory implements FallbackFactory<RemoteLogService> {


    @Override
    public RemoteLogService create(Throwable cause) {


        return new RemoteLogService() {
            @Override
            public Result addlog(Log build) {
                log.error("添加日志远程调用失败,[{}-{}]",build,cause.getMessage(),cause);
                return Result.error();
            }
        };
    }
}
