package com.bwie.common.remote.system;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.Red;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.RegRequest;
import com.bwie.common.domain.request.SendredRequest;
import com.bwie.common.remote.system.factory.RemoteUserFactory;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(
        name = ServerNameConstants.SYSTEM_NAME,
        fallbackFactory = RemoteUserFactory.class
)
public interface RemoteUserService {
    @PostMapping("findname")
    public Result<User> findname(@RequestParam String userName);

    @PostMapping("findtel")
    Result<User> findtel(@RequestParam String userTel);

    @PostMapping("adduser")
    Result<String> adduser(@RequestBody RegRequest build);

    @PostMapping("findfriends")
    Result<List<User>> findfriends(@RequestParam Long userId);

    @PostMapping("updmoney")
    public Result updmoney(@RequestBody SendredRequest sendredRequest);


    @PostMapping("backmoney")
    Result backmoney(@RequestBody List<Red> findred);

    @PostMapping("updtime")
    Result updtime(@RequestParam Long userId);

    @PostMapping("addmoney")
    Result addmoney(@RequestParam Long userId, Double increMoney);
}
