package com.bwie.friend.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.constant.JwtConstants;
import com.bwie.common.constant.TokenConstants;
import com.bwie.common.domain.Friend;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.DelRequest;
import com.bwie.common.domain.request.FriendRequest;
import com.bwie.common.domain.request.ShowRequest;
import com.bwie.common.redis.RedisCache;
import com.bwie.common.result.Result;
import com.bwie.friend.service.FriendService;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@ResponseBody
public class FriendController {


    private final FriendService friendService;
    private final RedisCache redisCache;
    private final HttpServletRequest request;

    public FriendController(FriendService friendService, RedisCache redisCache, HttpServletRequest request) {
        this.friendService = friendService;
        this.redisCache = redisCache;
        this.request = request;
    }

    @PostMapping("addfriend")
    Result addfriend(@RequestParam Long userId) {
        friendService.save(
                Friend.builder()
                        .userId(userId)
                        .userFr(getInfo().getUserId()).build()
        );
        friendService.save(
                Friend.builder()
                        .userId(getInfo().getUserId())
                        .userFr(userId).build()
        );
        return friendService.addfriend();
    }

    @PostMapping("show")
    public Result show(@RequestBody FriendRequest friendRequest){
         Result result = friendService.show(friendRequest);
          return result;
    }


    @PostMapping("delfriend")
    public Result delfriend(@RequestBody DelRequest delRequest){
            Result result = friendService.delfriend(delRequest);
                      return result;
    }

    @PostMapping("showall")
    public Result showall(@RequestBody ShowRequest showRequest){
         Result result = friendService.showall(showRequest);
        return result;
    }


    @GetMapping("showfriend")
    public Result showfriend(){

        Result result = friendService.showfriend();
            return result;
    }



    public User getInfo() {
        User cacheObject = redisCache.getCacheObject(TokenConstants.LOGIN_TOKEN_KEY + request.getHeader(JwtConstants.USER_KEY));
        return  cacheObject;
    }







}
