package com.bwie.red.controller;

import com.bwie.common.domain.request.RedRequest;
import com.bwie.common.domain.request.SendredRequest;
import com.bwie.common.domain.request.SnatchingQuest;
import com.bwie.common.result.Result;
import com.bwie.red.service.RedService;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@ResponseBody()
public class RedController {


    private final HttpServletRequest request;
    private final RedService redService;

    public RedController(HttpServletRequest request, RedService redService) {
        this.request = request;
        this.redService = redService;
    }

    @PostMapping("show")
    public Result show(@RequestBody RedRequest redRequest){
        Result result = redService.show(redRequest);
        return result;
    }

    @PostMapping("sendred")
    public Result sendred(@RequestBody SendredRequest sendredRequest){
        Result result = redService.sendred(sendredRequest);
        return result;
    }
    @PostMapping("snatching")
    Result snatching(@RequestBody SnatchingQuest snatchingQuest){
        Result result = redService.snatching(snatchingQuest);
        return result;
    }

}
