package com.bwie.red.task;

import com.bwie.common.domain.Red;
import com.bwie.common.remote.system.RemoteUserService;

import com.bwie.red.mapper.RedMapper;
import com.bwie.red.util.MsgUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
@Log4j2
public class MyTask {

    private final RemoteUserService remoteUserService;
    private final RedMapper redMapper;

    private final MsgUtil msgUtil;

    public MyTask(RemoteUserService remoteUserService, RedMapper redMapper, MsgUtil msgUtil) {
        this.remoteUserService = remoteUserService;
        this.redMapper = redMapper;
        this.msgUtil = msgUtil;
    }

    @Scheduled(cron = "0/30 * * * * *")
    public void findred(){
        //发送短信提示
        List<Red> findred = redMapper.findred();
        for (Red red : findred) {
            log.info("您在{}时间发送的红包{}，总金额{}，还剩余{}现已全部退回",red.getRedTime(),red.getRedTheme(),red.getRedMoney(),red.getRedYu());
            msgUtil.sendMsg(red.getUserTel(),"456");
        }
        if(!findred.isEmpty()){
            //金额退回
            remoteUserService.backmoney(findred);
            //修改红包状态
            redMapper.updred();
        }



    }
}
