package com.bwie.system.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Red;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.RegRequest;
import com.bwie.common.domain.request.SendredRequest;
import com.bwie.common.result.Result;
import com.bwie.system.service.SysService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@ResponseBody
public class SysController {

    private final SysService sysService;

    public SysController(SysService sysService) {
        this.sysService = sysService;

    }

    @PostMapping("findname")
    public Result<User> findname(@RequestParam String userName){
        return Result.success(sysService.findname(userName));
    }

    @PostMapping("findtel")
    Result<User> findtel(@RequestParam String userTel){
        return Result.success(sysService.findtel(userTel));
    }
    @PostMapping("adduser")
    Result<String> adduser(@RequestBody RegRequest build){
        sysService.save(
                User.addBuild(build));
        return Result.success();
    }

    @PostMapping("findfriends")
    Result<List<User>> findfriends(@RequestParam Long userId){
       return Result.success(sysService.findfriends(userId));
    }

    @PostMapping("updtime")
    Result updtime(@RequestParam Long userId){
        sysService.updtime(userId);
        Result<String> result = Result.success("登录时间修改成功");
        return result;
    }

    @PostMapping("updmoney")
    public Result updmoney(@RequestBody SendredRequest sendredRequest){
        sysService.updmoney(sendredRequest);
        Result<String> result = Result.success("扣除余额成功");
        return result;
    }

    @PostMapping("bsckmoney")
    Result backmoney(@RequestBody List<Red> findred){
        sysService.backmoney(findred);
        Result<String> result = Result.success("退还成功");
        return result;
    }

    @PostMapping("addmoney")
    Result addmoney(@RequestParam Long userId, Double increMoney){
        sysService.addmoney(userId,increMoney);
        Result<String> result = Result.success("红包到账成功");
        return result;
    }

}


