package com.bwie.system.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.Red;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.SendredRequest;
import com.bwie.system.mapper.SysMapper;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysServiceImpl extends ServiceImpl<SysMapper,User> implements SysService{

    private final SysMapper sysMapper;

    public SysServiceImpl(SysMapper sysMapper) {
        this.sysMapper = sysMapper;

    }

    @Override
    public User findname(String userName) {
        LambdaQueryWrapper<User> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(User::getUserName,userName);
        return getOne(queryWrapper);
    }

    @Override
    public User findtel(String userTel) {
        LambdaQueryWrapper<User> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(User::getUserTel,userTel);
        return getOne(queryWrapper);
    }

    @Override
    public List<User> findfriends(Long userId) {
        return sysMapper.findfriends(userId);
    }

    @Override
    public void updmoney(SendredRequest sendredRequest) {
        sysMapper.updmoney(sendredRequest);
    }

    @Override
    public void backmoney(List<Red> findred) {
        for (Red red : findred) {
            sysMapper.backmoney(red.getRedYu(),red.getUserId());
        }
    }

    @Override
    public void updtime(Long userId) {
        sysMapper.updtime(userId);
    }

    @Override
    public void addmoney(Long userId, Double increMoney) {
        sysMapper.backmoney(increMoney,userId);
    }

}
